<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        
        <title>Pseudoclases</title>>
       <!-- <link rel="stylesheet" type="text/css" href="./assets/estilos7.css">-->
    </head>
    <body>
        <h1>Pseudoclases</h1>
        <selection>
            <p>Links</p>
            <a href="##">Primer url</a>
            <a href="##">Segunda url</a>
            <a href="##">Tercera url</a>
        </selection>
        <section>
            <p>interaccion usuario</p>
            <input type="text" name="miText">
            <input type="checkbox" name="opcion1">
            <span>opcion 1</span>
            <input type="checkbox" name="opcion2">
            <span>opcion 2</span>
            <input type="checkbox" name="opcion3">
            <span>opcion 3</span>
        </section>
        <section>
            <p>input readonly</p>
            <input type="text" name="myText2" readonly>
        </section>
        <section>
            <p>input required/optional</p>
            <input type="text" name="myText3" required>
            <input type="text" name="myText4" class="myText4">
        </section>
        <section>
            <p>Validaciones</p>
            <input type="text" name="age" pattern="[0-9]+" class="valid1" >
        </section>
        <section>
            <p>Rangos</p>
            <input type="number" name="age" min="18" max="100" class="rang">
        </section>
        <section>
            <article>
                <strong>strong 1
                    <span>span1</span>
                </strong>
                <strong>strong 2
                    <span>span2</span>
                </strong>
                <strong>strong 3
                    <span>span3</span>
                </strong>
            </article>
        </section>
        <section>
            <p>before/after</p>
            <div class="abuelo">
                <p>parrafo 1</p>
                <p>parrafo 2</p>
                <div class="padre">
                    <div class="hijo">
                        <a title="titulo hijo1"></a>
                    </div>
                    <div class="hijo">
                        <a>hijo2</a>
                    </div>
                    <div class="hijo">
                        <a>hijo3</a>
                    </div>
                </div>
                <p>parrafo 3</p>
                <p>parrafo 4</p>
            </div>
        </section>
        <section class="pseudoelementos2">
            <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Alias aut repudiandae voluptatum? Reiciendis, exercitationem cumque consequatur commodi quam in voluptatibus eos nostrum adipisci nihil officia, alias ipsam quod modi fugiat.</p>
        </section>
        <section class="pseudoelementos3">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugit, perspiciatis labore, in quo maiores quia, illo repudiandae debitis facere aliquam voluptatem esse unde id voluptate. Inventore ad sint laboriosam aliquam?</p>
        </section>
    </body>
</html>